The Update Vendor request enables you to change any of the following settings for an existing vendor:
- Vendor address
- Vendor email
- Vendor first and last name
- Vendor business name
- Vendor phone
- Vendor URL
- Vendor principal
- Vendor agreement
- Vendor payout information (including frequency and delay)
Note: Modifying certain vendor properties may result in vendor payout suspension. Click here to learn more.
The previous
payoutInfoobject used in this request has been deprecated and replaced with payoutConfiguration to support regional payout. You must update your requests per the structure detailed below.If you call this API with
payoutInfoor if the merchant is not configured for regional payout, an error will be returned.
Important
It is suggested that you first retrieve the vendor and then modify the desired property.
To be eligible for payout, make sure all necessary vendor information has been submitted to BlueSnap. To see the payout requirements, click here.
Request Content
vendor object required, contains the following properties (see vendor) :
| Property | Type | Required |
|---|---|---|
address | string | optional |
city | string | optional |
country | string | required |
email | string | required |
firstName | string | optional |
lastName | string | optional |
name | string | optional |
payoutConfiguration | container | optional; (see payoutConfiguration) |
phone | string | optional |
state | string | required if payoutInfo included and country = US or CA. (See State and Province Codes) |
taxId | string | optional |
vatId | string | optional |
vendorAgreement | container | optional; (see vendorAgreement) |
vendorPrincipal | container | optional; (see vendorPrincipal) |
vendorUrl | string | optional |
zip | string | optional |
Response Details
If successful, the response HTTP status code is 204 No Content
Examples
Request Examples
curl -v -X PUT https://sandbox.bluesnap.com/services/2/vendors/514147 \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d '
{
"email": "[email protected]",
"name": "Important Vendor",
"firstName": "Joe",
"lastName": "Smith",
"address": "123 Main Street",
"city": "testing city",
"zip": "02453",
"country": "US",
"phone": "1-054-976-6778",
"state": "MA",
"taxId": 123456789,
"vendorUrl": "http://mycompany.com",
"ipnUrl": "https://ipnaddress.com",
"vendorPrincipal": {
"firstName": "Joe",
"lastName": "Smith",
"address": "123 Main Street",
"city": "Juneau",
"zip": "02453",
"country": "US",
"dob": "28-09-9999",
"personalIdentificationNumber": 1234,
"driverLicenseNumber": "561196411",
"email": "[email protected]"
},
"payoutConfiguration": {
"reviewDelay": 15,
"payoutFrequency": "MONTHLY",
"defaultLegalEntity": "US",
"regions": [
{
"region": "US",
"defaultCurrency": "USD",
"currencyByRegion": [
{
"currencyCode": "USD",
"payoutPaymentType": "ACH",
"minimumPaymentAmount": 25,
"bankDetails": [
{
"country": "US",
"state": "MA",
"city": "Juneau",
"address1": "1 bank address",
"zipCode": "02453",
"paymentReference": "payout for vendor 1234",
"bankId": "123456789",
"bankName": "Leumi",
"accountId": "36628822",
"nameOnAccount": "vendor",
"achAccountClass": "PERSONAL",
"achAccountType": "CHECKING"
}
]
}
]
}
]
},
"vendorAgreement": {
"commissionPercent": 20,
"accountStatus": "ACTIVE"
}
}'curl -v -X PUT https://sandbox.bluesnap.com/services/2/vendors/514147 \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d '
{
"email": "[email protected]",
"name": "Important Vendor",
"firstName": "Joe",
"lastName": "Smith",
"address": "123 Main Street",
"city": "testing city",
"zip": "02453",
"country": "US",
"phone": "1-054-976-6778",
"state": "MA",
"taxId": 123456789,
"ipnUrl": "https://ipnaddress.com",
"vendorPrincipal": {
"firstName": "Joe",
"lastName": "Smith",
"address": "123 Main Street",
"city": "Juneau",
"zip": "02453",
"country": "US",
"dob": "28-09-9999",
"personalIdentificationNumber": 1234,
"driverLicenseNumber": "561196411",
"email": "[email protected]"
},
"payoutConfiguration": {
"reviewDelay": 15,
"payoutFrequency": "MONTHLY",
"defaultLegalEntity": "US",
"regions": [
{
"region": "US",
"defaultCurrency": "USD",
"currencyByRegion": [
{
"currencyCode": "USD",
"payoutPaymentType": "ACH",
"minimumPaymentAmount": 25,
"bankDetails": [
{
"country": "US",
"state": "MA",
"city": "Juneau",
"address1": "1 bank address",
"zipCode": "02453",
"paymentReference": "payout for vendor 1234",
"bankId": "123456789",
"bankName": "Leumi",
"accountId": "36628822",
"nameOnAccount": "vendor",
"achAccountClass": "PERSONAL",
"achAccountType": "CHECKING"
}
]
}
]
}
]
},
"vendorAgreement": {
"commissionPercent": 20,
"accountStatus": "INACTIVE",
"recurringCommission": "Y"
}
}'curl -v -X PUT https://sandbox.bluesnap.com/services/2/vendors/534231 \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d '
{
"email": "[email protected]",
"name": "Business ABC",
"address": "25 Business Avenue",
"city": "Boston",
"zip": "02453",
"country": "US",
"phone": "555-555-5555",
"state": "MA",
"taxId": 123456789,
"ipnUrl": "https://ipnaddress.com",
"vendorPrincipal": {
"firstName": "Joe",
"lastName": "Smith",
"address": "123 Main Street",
"city": "Boston",
"zip": "12345",
"country": "US",
"dob": "28-09-9999",
"personalIdentificationNumber": "1234",
"driverLicenseNumber": "7676234872",
"email": "[email protected]"
},
"payoutConfiguration": {
"reviewDelay": 15,
"payoutFrequency": "MONTHLY",
"defaultLegalEntity": "US",
"regions": [
{
"region": "US",
"defaultCurrency": "USD",
"currencyByRegion": [
{
"currencyCode": "USD",
"payoutPaymentType": "ACH",
"minimumPaymentAmount": 25,
"bankDetails": [
{
"country": "US",
"state": "MA",
"city": "Juneau",
"address1": "1 bank address",
"zipCode": "02453",
"paymentReference": "payout for vendor 1234",
"bankId": "123456789",
"bankName": "Leumi",
"accountId": "36628822",
"nameOnAccount": "vendor",
"achAccountClass": "PERSONAL",
"achAccountType": "CHECKING"
}
]
}
]
}
]
},
"vendorAgreement": {
"commissionPercent": 30
}
}'Response Example
HTTP/ 1.1 204 No Content